using Fiesta.Game.Avatar;
using Fiesta.Game.Networking.PacketTypes;
using Fiesta.Databases.World.StoredProcedures;
using Fiesta.Networking.Packets;
using Fiesta.Players.Networking;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Villain.Networking.Packets;

namespace World.Players.Networking.Packets.Avatar.In
{
	public static class Create
	{
		[PacketHandler("Player", AVATAR.CREATE_REQ)]
		public static void Handle(PlayerConnection client, InPacket packet)
		{
			byte slot = packet.ReadByte();
			string name = packet.ReadString(20);

			ShapeInfo shapeInfo = new ShapeInfo(packet.ReadUInt32());

			p_Char_Create charCreate = new p_Char_Create((Int32)client.Account.ID, Program.WorldID, 0, slot, name, 1, 28, 1, 1, 1, 1);
			//p_Char_Create charCreate = new p_Char_Create((Int32)client.Account.ID, Program.WorldID, 0, slot, name, shapeInfo.Race, shapeInfo.Class, shapeInfo.Gender, shapeInfo.HairType, shapeInfo.HairColor, shapeInfo.FaceShape);

			// DO SHIT HERE
		}
	}
}